#ifndef M2_H_
#define M2_H_

#include "v2.h"

class M2x2 {

  V2 rows[2];
public:
  M2x2() {};
  M2x2(V2 r0, V2 r1);
  M2x2 operator*(M2x2 op1);
  M2x2(float theta);
  V2& operator[](int i);
  friend ostream& operator<<(ostream&, const M2x2);
  M2x2& Transpose();
  V2& Column(int i);
};

#endif
