#ifndef V2_H_
#define V2_H_

#define V2_PI 3.14159265f

#include <ostream>

using namespace std;

class V2 {

  float xy[2];
public:
  V2() {};
  V2(float x, float y);
  V2 operator+(V2 op2);
  V2 operator-(V2 op2);
  float operator*(V2 op2);
  V2 operator*(float f);
  float Length();
  float Angle(V2 op2);
  friend ostream& operator<<(ostream &ostr, V2 op);
  float& operator[](int i);

};

#endif

